QGIS Application - Bug report #13295
Issue with Postgresql enum visualisation in QGIS
2015-08-31 10:18 AM - Pablo Fernandez Moniz

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 21353
Description

Default values for enum types are not displayed as the selected value in the column drop down menu when inserting entities.
CREATE TYPE domain AS ENUM ('A', 'B', 'C");

CREATE TABLE ele_enum(ipid serial primary key, geom geometry(LineString,32628), test domain NOT NULL DEFAULT
'A":test.domain) WITH ( OIDS=FALSE);

For more information, please check attached pdf.

Related issues:
Related to QGIS Application - Bug report # 16153: Default values for fields i... Closed 2017-02-06

History

#1 - 2016-03-03 06:20 AM - Vincent Picavet

Hi Pablo,

Your report concerns version 2.8.0. Did you check with recent versions of QGIS ?

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2019-03-04 05:22 AM - Nyall Dawson
- Resolution set to no timely feedback

- Description updated

- Status changed from Open to Closed
